## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: rednotebook
Version: 2.39
Release: %autorelease
Summary: Daily journal with calendar, templates and keyword searching

License: GPL-2.0-or-later
URL: http://rednotebook.sourceforge.net
Source0: https://github.com/jendrikseipp/rednotebook/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: gettext
BuildRequires: python3-devel
BuildRequires: desktop-file-utils

Requires: python3-PyYAML
Requires: webkit2gtk4.1
Requires: python3-chardet
Requires: python3-enchant
Requires: hicolor-icon-theme
Requires: gtksourceview4

%generate_buildrequires
%pyproject_buildrequires

%description
RedNotebook is a modern desktop journal. It lets you format, tag and
search your entries. You can also add pictures, links and customizable
templates, spell check your notes, and export to plain text, HTML,
Latex or PDF.

%prep
%autosetup

%build
%pyproject_wheel

%install
%pyproject_install
desktop-file-install                                    \
    --add-category="Calendar"                           \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}/%{_datadir}/appdata/
mv %{buildroot}/%{_datadir}/metainfo/%{name}.appdata.xml %{buildroot}/%{_datadir}/appdata/
%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/appdata/%{name}.appdata.xml
# Be careful to not list locales twice
%dir %{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}/*.py*
%{python3_sitelib}/%{name}/external/
%{python3_sitelib}/%{name}/files/
%{python3_sitelib}/%{name}/gui/
%{python3_sitelib}/%{name}/images/
%{python3_sitelib}/%{name}/util/
%{python3_sitelib}/%{name}*.dist-info
%{python3_sitelib}/%{name}/__pycache__

%changelog
## START: Generated by rpmautospec
* Wed Jul 16 2025 Vojtech Trefny <vtrefny@redhat.com> - 2.39-1
- New version 2.39

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 2.35-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Sep 28 2024 Fabian Affolter <mail@fabian-affolter.ch> - 2.35-1
- Update ot latest upstream release

* Wed Sep 25 2024 Fabian Affolter <mail@fabian-affolter.ch> - 2.34-1
- Update ot latest upstream release

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.29.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.29.6-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.29.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.29.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.29.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 2.29.6-2
- Rebuilt for Python 3.12

* Mon May 01 2023 Phil Wyett <philip.wyett@kathenas.org> - 2.29.6-1
- New upstream version 2.29.6.

* Wed Apr 19 2023 Phil Wyett <philip.wyett@kathenas.org> - 2.29.5-1
- New upstream version 2.29.5.

* Wed Apr 12 2023 Phil Wyett <philip.wyett@kathenas.org> - 2.29.4-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
